Source: haskell-pointed
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-comonad-dev (>= 5),
 libghc-comonad-dev (<< 6),
 libghc-comonad-prof,
 libghc-data-default-class-dev (<< 0.2),
 libghc-data-default-class-dev (>= 0.0.1),
 libghc-data-default-class-dev (<< 0.2),
 libghc-data-default-class-prof,
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-dev (>= 1.1),
 libghc-hashable-prof,
 libghc-kan-extensions-dev (>= 5),
 libghc-kan-extensions-dev (<< 6),
 libghc-kan-extensions-prof,
 libghc-semigroupoids-dev (<< 6),
 libghc-semigroupoids-dev (>= 4),
 libghc-semigroupoids-prof,
 libghc-semigroups-dev (<< 1),
 libghc-semigroups-dev (>= 0.8.3.1),
 libghc-semigroups-prof,
 libghc-tagged-dev (<< 1),
 libghc-tagged-dev (>= 0.5),
 libghc-tagged-prof,
 libghc-transformers-compat-dev (<< 1),
 libghc-transformers-compat-dev (>= 0.3),
 libghc-transformers-compat-prof,
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-comonad-doc,
 libghc-data-default-class-doc,
 libghc-hashable-doc,
 libghc-kan-extensions-doc,
 libghc-semigroupoids-doc,
 libghc-semigroups-doc,
 libghc-tagged-doc,
 libghc-transformers-compat-doc,
 libghc-unordered-containers-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/ekmett/pointed/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-pointed
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-pointed]
X-Description: pointed and copointed data
 Haskell 98 pointed and copointed data types.

Package: libghc-pointed-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-pointed-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-pointed-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
